aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2018-09-20 21:43:10 -0700
committerGuy Harris <guy@alum.mit.edu>2018-09-21 04:45:27 +0000
commit711a8596ae44b8c159eb5e9d3b5c57e967d45e94 (patch)
tree203399f778978384b1e234268c7948fa3c9b004c /tools
parente9ccaf79aef5e24c0f477f54a36a7015fe0cc4c3 (diff)
Update the URLs for GnuPG.
Use HTTP rather than FTP; the FTP server appears no longer to be available. Change-Id: I4446cc48818f419a341880da53db8670170794ae Reviewed-on: https://code.wireshark.org/review/29765 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/macos-setup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index 1cf44a2476..decff171cb 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -937,7 +937,7 @@ uninstall_libsmi() {
install_libgpg_error() {
if [ "$LIBGPG_ERROR_VERSION" -a ! -f libgpg-error-$LIBGPG_ERROR_VERSION-done ] ; then
echo "Downloading, building, and installing libgpg-error:"
- [ -f libgpg-error-$LIBGPG_ERROR_VERSION.tar.bz2 ] || curl -L -O ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-$LIBGPG_ERROR_VERSION.tar.bz2 || exit 1
+ [ -f libgpg-error-$LIBGPG_ERROR_VERSION.tar.bz2 ] || curl -L -O https://www.gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-$LIBGPG_ERROR_VERSION.tar.bz2 || exit 1
$no_build && echo "Skipping installation" && return
bzcat libgpg-error-$LIBGPG_ERROR_VERSION.tar.bz2 | tar xf - || exit 1
cd libgpg-error-$LIBGPG_ERROR_VERSION
@@ -987,7 +987,7 @@ install_libgcrypt() {
fi
echo "Downloading, building, and installing libgcrypt:"
- [ -f libgcrypt-$LIBGCRYPT_VERSION.tar.gz ] || curl -L -O ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-$LIBGCRYPT_VERSION.tar.gz || exit 1
+ [ -f libgcrypt-$LIBGCRYPT_VERSION.tar.gz ] || curl -L -O https://www.gnupg.org/ftp/gcrypt/libgcrypt/libgcrypt-$LIBGCRYPT_VERSION.tar.gz || exit 1
$no_build && echo "Skipping installation" && return
gzcat libgcrypt-$LIBGCRYPT_VERSION.tar.gz | tar xf - || exit 1
cd libgcrypt-$LIBGCRYPT_VERSION